public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: install required packages from EPEL repository
@ 2026-09-11 13:20 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:20 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 889bc16ec3644649a3f2e350f491df4b00bad053
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2022-11-10T15:20:13+00:00
            Stats  : +10/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/889bc16ec3644649a3f2e350f491df4b00bad053?branch=pr775-checkpolicy-revdeps

            Log:
            install required packages from EPEL repository

For successful run, some tests require certain EPEL packages to be
installed.

---
diff --git a/selinux-policy/bgpd-and-similar/runtest.sh b/selinux-policy/bgpd-and-similar/runtest.sh
index c0581ba..7acd85e 100755
--- a/selinux-policy/bgpd-and-similar/runtest.sh
+++ b/selinux-policy/bgpd-and-similar/runtest.sh
@@ -48,6 +48,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q ${SERVICE_PACKAGE} ; then
+            rlRun "yum -y install ${SERVICE_PACKAGE} --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStop ${SERVICE_NAME}

diff --git a/selinux-policy/blueman-and-similar/runtest.sh b/selinux-policy/blueman-and-similar/runtest.sh
index f10bf19..a407ba3 100755
--- a/selinux-policy/blueman-and-similar/runtest.sh
+++ b/selinux-policy/blueman-and-similar/runtest.sh
@@ -44,6 +44,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q ${SERVICE_PACKAGE} ; then
+            rlRun "yum -y install ${SERVICE_PACKAGE} --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStop ${SERVICE_NAME}

diff --git a/selinux-policy/caddy-and-similar/main.fmf b/selinux-policy/caddy-and-similar/main.fmf
index f334e91..17570f3 100644
--- a/selinux-policy/caddy-and-similar/main.fmf
+++ b/selinux-policy/caddy-and-similar/main.fmf
@@ -30,3 +30,4 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2122886
 extra-summary: /CoreOS/selinux-policy/Regression/caddy-and-similar
 extra-task: /CoreOS/selinux-policy/Regression/caddy-and-similar
+extra-nitrate: TC#0614303

diff --git a/selinux-policy/caddy-and-similar/runtest.sh b/selinux-policy/caddy-and-similar/runtest.sh
index 6af5376..7cf9384 100755
--- a/selinux-policy/caddy-and-similar/runtest.sh
+++ b/selinux-policy/caddy-and-similar/runtest.sh
@@ -40,6 +40,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q ${SERVICE_PACKAGE} ; then
+            rlRun "yum -y install ${SERVICE_PACKAGE} --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStop caddy caddy-api

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: install required packages from EPEL repository Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox